#include "bibli.h"


void bench_resoudre(char * file){
  FILE* fich = fopen(file,"w");
  fprintf(fich,"BENCH_RESOUDRE\n");
  assert (N==4);// Mettre # define N 4
  matrix  a = {{1.,2.,0.,8.},
	       {2.,1.,-1.,10.},
	       {-1.,5.,3.,2.},
	       {1.,4.,2.,1.}};
  vector b = {1.,0.,-1.,2.};
  vector r;
  affiche_syst_prof(a,b,fich);
  fprintf(fich,"resoudre(a,b,r)=%d\n",resoudre(a,b,r));
  affiche_vect_prof(r,fich);

  matrix  a2 = {{2,1,-1,1},\
		{1,0,2,-1},
		{3,1,1,0},
		{1,2,5,0}};
  vector b2 = {1.,0.,-1.,2.};
  affiche_syst_prof(a2,b2,fich);
  fprintf(fich,"resoudre(a2,b2,r)=%d\n",resoudre(a2,b2,r));
  fclose(fich);
}

int main(int argc, char* argv []){
 bench_resoudre(argv[1]);
 return 0;
}
