#include "bibli.h"


void transvection_m(matrix a, int i, int j, double lm){
  for (int k=0; k<N; k++)
    a[i][k] = a[i][k] + lm * a[j][k];
}

int cpx_transvection_m(void){return 1;}

void transvection_v(vector v, int i, int j, double lm){
    v[i] = v[i] + lm * v[j];
}

int cpx_transvection_v(void){return 0;}

void swap_v(vector v, int i, int j){
  double buff = v[i];
  v[i]=v[j];
  v[j]=buff;
}

int cpx_swap_v(void){return 0;}

/*
void swap_m (matrix a, int i, int j){
  vector v;
  for (int k=0; k<N; k++)
    v[k] = a[i][k];
  // un tableau n'est pas une lvalue, on ne peut écrire a[i]=a[j]
  for (int k=0; k<N; k++)
    a[i][k] = a[j][k];
  for (int k=0; k<N; k++)
    a[j][k] = v[k];
    }*/

void swap_m (matrix a, int i, int j){
  vector v;
  for (int k=0; k<N; k++)
    v[k] = a[i][k];
  // un tableau n'est pas une lvalue, on ne peut écrire a[i]=a[j]
  for (int k=0; k<N; k++)
    {a[i][k] = a[j][k]; a[j][k] = v[k];}
}


int cpx_swap_m(void){return 1;}




