#include "bibli.h"


double absolu(double x){
  return x<0?-x:x;
}

int pivot(matrix a, int i){
  double p = a[i][i];
  int ligne = i;
  for (int k=i+1; k<N; k++){
    if (absolu(p)<absolu(a[k][i])){
	p=a[k][i];
	ligne = k;
      }
    }
  return ligne;
}// O(N-i); la complexité dépend de deux critères



bool triangulariser(matrix a, vector b){
  for (int i=0; i<N; i++){
    int ligne = pivot(a,i);
    double p = a[ligne][ligne];
    if (p==0.) return false; 
    swap_m(a,i,ligne);swap_v(b,i,ligne);
    for (int j=i+1; j<N; j++){
      double lambda = -a[j][i]/a[i][i];
      transvection_m(a,j,i,lambda);
      transvection_v(b,j,i,lambda);
    }
  }
  return true;
}

int cpx_triangulariser(void){return 3;}


