#include "bibli.h"

//https://stackoverflow.com/questions/584868/rerouting-stdin-and-stdout-from-c
void bench_affiche_vect(char * filename){
  freopen(filename, "w", stdout);
  printf("BENCH_AFFICHE_VECT\n");
  vector b = {1.,2.,-1,3.};
  affiche_vect(b);
  freopen("/dev/tty", "w", stdout);
}


void bench_affiche_mat(char * filename){// doit être appelée après la première
  freopen(filename, "a", stdout);
  printf("BENCH_AFFICHE_MAT\n");
  matrix mat;
  for (int i=0; i<N; i++)
    for (int j=0; j<N; j++)
      mat[i][j]=i*N+j;
  affiche_mat(mat);
  printf("Nombre de lignes significatives : %d\n",8);
  freopen("/dev/tty", "w", stdout);
}



int main(int argc, char* argv []){
  bench_affiche_vect(argv[1]);
  bench_affiche_mat(argv[1]);
  return 0;
}
