#include "bibli.h"

void bench_pivot(char * file){
   FILE* fich = fopen(file,"w");
   fprintf(fich,"BENCH_PIVOT\n");
   assert (N==4);// Mettre # define N 4
   matrix a = {{1.,20.,0.,8.},{0.,1.,-1.,10.},{0.,-5.,3.,2.}, {0.,4.,2.,1.}};
   affiche_mat_prof(a,fich);
   fprintf(fich,"pivot(a,1)=%d\n",pivot(a,1));
   fclose(fich);
}

void bench_triangulariser(char * file){
  FILE* fich = fopen(file,"a");
  fprintf(fich,"BENCH_TRIANGULARISER\n");
  assert (N==4);// # define N 4
  matrix a = {{1.,2.,0., 8.},
	      {2.,1.,-1.,10.},
	      {-1.,5.,3.,2.},
	      {1.,4.,2.,1.}};
  vector b = {1.,0.,-1,2.};

  fprintf(fich,"Avant triangul. :\n");
  affiche_syst_prof(a,b,fich);
  fprintf(fich,"triangul.(a,b) :%d\n",
	 triangulariser(a,b));
  fprintf(fich,"Après triangul. :\n");
  affiche_syst_prof(a,b,fich);

  //pivot nul colonne 0 :
  a[0][0]=0.;a[1][0]=0.;
  a[2][1]=0.;a[3][0]=0;
  fprintf(fich,"Avant triangul. :\n");
  affiche_syst_prof(a,b,fich);
  fprintf(fich,"triangul.(a,b) :%d\n",
	 triangulariser(a,b));

  fprintf(fich,"cpx_triangulariser()=%d\n",
	  cpx_triangulariser());
  fprintf(fich,"Nombre de lignes significatives : %d\n",8);
  fclose(fich);
}

int main(int argc, char* argv []){
  bench_pivot(argv[1]);
  bench_triangulariser(argv[1]);
  return 0;
}
